# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-07-12 22:01
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django_szuprefix.utils.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('school', '0008_auto_20180713_0601'),
        ('saas', '0003_auto_20180713_0601'),
        ('exam', '0005_auto_20180713_0601'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='\u540d\u79f0')),
                ('code', models.CharField(blank=True, default='', max_length=64, verbose_name='\u4ee3\u7801')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='course_categories', to='saas.Party', verbose_name='\u56e2\u4f53')),
            ],
            options={
                'verbose_name': '\u7c7b\u522b',
                'verbose_name_plural': '\u7c7b\u522b',
            },
            bases=(django_szuprefix.utils.modelutils.CodeMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Chapter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='\u540d\u79f0')),
                ('code', models.CharField(blank=True, default='', max_length=64, verbose_name='\u4ee3\u7801')),
                ('order_num', models.PositiveIntegerField(blank=True, default=0, null=True, verbose_name='\u5e8f\u53f7')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
            ],
            options={
                'verbose_name': '\u7ae0\u8282',
                'verbose_name_plural': '\u7ae0\u8282',
            },
            bases=(django_szuprefix.utils.modelutils.CodeMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='\u540d\u79f0')),
                ('code', models.CharField(blank=True, default='', max_length=64, verbose_name='\u4ee3\u7801')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
                ('is_active', models.BooleanField(verbose_name='\u6709\u6548')),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='course.Category', verbose_name='\u7c7b\u522b')),
                ('majors', models.ManyToManyField(related_name='course_courses', to='school.Major', verbose_name='\u4e13\u4e1a')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='course_courses', to='saas.Party', verbose_name='\u56e2\u4f53')),
            ],
            options={
                'verbose_name': '\u8bfe\u7a0b',
                'verbose_name_plural': '\u8bfe\u7a0b',
            },
            bases=(django_szuprefix.utils.modelutils.CodeMixin, models.Model),
        ),
        migrations.AddField(
            model_name='chapter',
            name='course',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='chapters', to='course.Course', verbose_name='\u8bfe\u7a0b'),
        ),
        migrations.AddField(
            model_name='chapter',
            name='exam_papers',
            field=models.ManyToManyField(related_name='course_courses', to='exam.Paper', verbose_name='\u8bd5\u5377'),
        ),
        migrations.AddField(
            model_name='chapter',
            name='party',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='course_chapters', to='saas.Party', verbose_name='\u56e2\u4f53'),
        ),
    ]
