# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-04-19 06:31
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_szuprefix_saas.quote.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('saas', '0002_auto_20180415_0032'),
    ]

    operations = [
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='\u540d\u79f0')),
                ('code', models.CharField(blank=True, default='', max_length=64, verbose_name='\u4ee3\u7801')),
                ('is_vendor', models.BooleanField(default=False, verbose_name='\u662f\u4f9b\u5e94\u5546')),
                ('is_customer', models.BooleanField(default=True, verbose_name='\u662f\u5ba2\u6237')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quote_vendors', to='saas.Party', verbose_name='\u56e2\u4f53')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u516c\u53f8',
                'verbose_name_plural': '\u516c\u53f8',
            },
            bases=(django_szuprefix_saas.quote.models.CodeMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unit', models.CharField(default='\u4ef6', max_length=16, verbose_name='\u5355\u4f4d')),
                ('amount', models.PositiveIntegerField(default=0, verbose_name='\u6570\u91cf')),
                ('unit_price', models.DecimalField(decimal_places=2, max_digits=10, verbose_name='\u672a\u7a0e\u5355\u4ef7')),
                ('unit_price_taxed', models.DecimalField(decimal_places=2, max_digits=10, verbose_name='\u542b\u7a0e\u5355\u4ef7')),
                ('delivery', models.CharField(max_length=32, verbose_name='\u8d27\u671f')),
                ('delivery_days_from', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u8d27\u671f\u6700\u77ed\u5929\u6570')),
                ('delivery_days_to', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u8d27\u671f\u6700\u957f\u5929\u6570')),
                ('memo', models.TextField(blank=True, default='', verbose_name='\u5907\u6ce8')),
                ('is_valid', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quote_items', to='saas.Party', verbose_name='\u56e2\u4f53')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u8be2\u4ef7\u9879\u76ee',
                'verbose_name_plural': '\u8be2\u4ef7\u9879\u76ee',
            },
        ),
        migrations.CreateModel(
            name='Manufacturer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='\u540d\u79f0')),
                ('code', models.CharField(blank=True, default='', max_length=64, verbose_name='\u4ee3\u7801')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quote_manufacturers', to='saas.Party', verbose_name='\u56e2\u4f53')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u54c1\u724c',
                'verbose_name_plural': '\u54c1\u724c',
            },
            bases=(django_szuprefix_saas.quote.models.CodeMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='\u540d\u79f0')),
                ('code', models.CharField(blank=True, default='', max_length=64, verbose_name='\u4ee3\u7801')),
                ('number', models.CharField(max_length=255, verbose_name='\u578b\u53f7')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('manufacturer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='products', to='quote.Manufacturer', verbose_name='\u54c1\u724c')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quote_products', to='saas.Party', verbose_name='\u56e2\u4f53')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u4ea7\u54c1',
                'verbose_name_plural': '\u4ea7\u54c1',
            },
            bases=(django_szuprefix_saas.quote.models.CodeMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Quote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unit_price', models.DecimalField(decimal_places=2, max_digits=10, verbose_name='\u5355\u4ef7')),
                ('unit_price_taxed', models.DecimalField(decimal_places=2, max_digits=10, verbose_name='\u542b\u7a0e\u5355\u4ef7')),
                ('delivery', models.CharField(max_length=32, verbose_name='\u8d27\u671f')),
                ('delivery_days_from', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u8d27\u671f\u6700\u77ed\u5929\u6570')),
                ('delivery_days_to', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u8d27\u671f\u6700\u957f\u5929\u6570')),
                ('is_valid', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quotes', to='quote.Item', verbose_name='\u8be2\u4ef7\u9879\u76ee')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quote_quotes', to='saas.Party', verbose_name='\u56e2\u4f53')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='quote_quotes', to=settings.AUTH_USER_MODEL, verbose_name='user')),
                ('vendor', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quotes', to='quote.Company', verbose_name='\u4f9b\u5e94\u5546')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u62a5\u4ef7',
                'verbose_name_plural': '\u62a5\u4ef7',
            },
        ),
        migrations.CreateModel(
            name='Request',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(blank=True, default='', max_length=64, verbose_name='\u4ee3\u7801')),
                ('status', models.PositiveSmallIntegerField(choices=[(1, '\u8be2\u4ef7\u4e2d'), (2, '\u62a5\u4ef7\u4e2d'), (0, '\u53d6\u6d88'), (8, '\u5b8c\u6210\u7ed3\u675f')], default=1, null=True, verbose_name='\u72b6\u6001')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='requests', to='quote.Company', verbose_name='\u5ba2\u6237')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quote_requests', to='saas.Party', verbose_name='\u56e2\u4f53')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='quote_requests', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u8be2\u4ef7',
                'verbose_name_plural': '\u8be2\u4ef7',
            },
        ),
        migrations.AddField(
            model_name='item',
            name='product',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='items', to='quote.Product', verbose_name='\u4ea7\u54c1'),
        ),
        migrations.AddField(
            model_name='item',
            name='request',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='items', to='quote.Request', verbose_name='\u8be2\u4ef7'),
        ),
        migrations.AlterUniqueTogether(
            name='product',
            unique_together=set([('party', 'manufacturer', 'name', 'number')]),
        ),
    ]
