# -*- coding: utf-8 -*-
# Generated by Django 1.9.6 on 2017-09-30 08:11
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django_szuprefix_saas.internship.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('school', '0002_auto_20170930_1611'),
    ]

    operations = [
        migrations.CreateModel(
            name='Counsellor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, db_index=True, max_length=32, null=True, verbose_name='\u59d3\u540d')),
                ('department', models.CharField(blank=True, max_length=64, null=True, verbose_name='\u90e8\u95e8')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u5728\u804c')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('modify_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
                ('school', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='internship_counsellors', to='school.School', verbose_name='\u5b66\u6821')),
                ('teacher', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='as_internship_counsellor', to='school.Teacher', verbose_name='\u8001\u5e08')),
            ],
            options={
                'ordering': ('school', 'name'),
                'verbose_name': '\u6307\u5bfc\u8001\u5e08',
                'verbose_name_plural': '\u6307\u5bfc\u8001\u5e08',
                'permissions': (),
            },
            bases=(django_szuprefix_saas.internship.models.InstructorCounsellorMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Feedback',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField(null=True, verbose_name='\u53cd\u9988')),
                ('status', models.PositiveSmallIntegerField(blank=True, choices=[(0, '\u672a\u5b9e\u4e60'), (1, '\u5b9e\u4e60'), (2, '\u6b63\u5f0f\u5458\u5de5'), (4, '\u79bb\u804c'), (5, '\u4e2d\u8f6c\u9ad8'), (6, '\u5347\u5b66'), (7, '\u53c2\u519b')], db_index=True, null=True, verbose_name='\u5b9e\u4e60\u72b6\u6001')),
                ('verify_status', models.PositiveSmallIntegerField(blank=True, choices=[(0, '\u672a\u5ba1\u6838'), (1, '\u5ba1\u6838\u901a\u8fc7'), (2, '\u5ba1\u6838\u4e0d\u901a\u8fc7')], db_index=True, default=0, null=True, verbose_name='\u5ba1\u6838\u72b6\u6001')),
                ('teacher_remark', models.TextField(blank=True, null=True, verbose_name='\u8f85\u5bfc\u5458\u53cd\u9988')),
                ('teacher_score', models.PositiveIntegerField(blank=True, null=True, verbose_name='\u8f85\u5bfc\u5458\u6253\u5206')),
                ('create_time', models.DateTimeField(db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u53cd\u9988',
                'verbose_name_plural': '\u53cd\u9988',
            },
        ),
        migrations.CreateModel(
            name='Institution',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('internship_type', models.PositiveSmallIntegerField(blank=True, choices=[(1, '\u5355\u4f4d\u5b9e\u4e60'), (2, '\u7f51\u5e97'), (3, '\u5bb6\u6559'), (4, '\u5347\u5b66'), (5, '\u53c2\u519b')], default=1, null=True, verbose_name='\u5b9e\u4e60\u79cd\u7c7b')),
                ('name', models.CharField(max_length=128, null=True, verbose_name='\u5355\u4f4d\u540d\u79f0')),
                ('organizing_institution_bar_code', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u7ec4\u7ec7\u673a\u6784\u4ee3\u7801')),
                ('city', models.CharField(max_length=255, null=True, verbose_name='\u5355\u4f4d\u5730\u5740')),
                ('place', models.CharField(blank=True, max_length=255, null=True, verbose_name='\u5355\u4f4d\u8be6\u7ec6\u5730\u5740')),
                ('starting_date', models.DateField(null=True, verbose_name='\u4e0a\u5c97\u65f6\u95f4')),
                ('finish_date', models.DateField(blank=True, null=True, verbose_name='\u7ed3\u675f\u65f6\u95f4')),
                ('position', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u5de5\u4f5c\u5c97\u4f4d')),
                ('salary', models.PositiveIntegerField(null=True, verbose_name='\u6708\u85aa')),
                ('property', models.PositiveSmallIntegerField(blank=True, choices=[(None, '\u8bf7\u9009\u62e9'), (1, '\u6c11\u8425\u4f01\u4e1a'), (2, '\u56fd\u8425\u4f01\u4e1a'), (3, '\u5408\u8d44'), (4, '\u5176\u4ed6')], null=True, verbose_name='\u5355\u4f4d\u6027\u8d28')),
                ('contacts', models.CharField(max_length=128, null=True, verbose_name='\u5355\u4f4d\u8054\u7cfb\u4eba')),
                ('contact_number', models.CharField(max_length=128, null=True, verbose_name='\u5355\u4f4d\u8054\u7cfb\u7535\u8bdd')),
                ('contact_email', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u5355\u4f4d\u8054\u7cfb\u90ae\u7bb1')),
                ('party_recommend', models.PositiveSmallIntegerField(blank=True, choices=[(1, '\u5b66\u6821\u5ba3\u8bb2\u62db\u8058\u4f1a'), (2, '\u5b66\u6821\u5927\u578b\u73b0\u573a\u62db\u8058\u4f1a'), (3, '\u5b66\u6821\u62db\u8058\u7f51\u63a8\u8350'), (4, '\u5b66\u6821\u8001\u5e08\u63a8\u8350')], null=True, verbose_name='\u5b66\u6821\u63a8\u8350\u79cd\u7c7b')),
                ('is_party_recommend', models.NullBooleanField(choices=[(None, '\u8bf7\u9009\u62e9'), (True, '\u662f'), (False, '\u5426')], default=None, verbose_name='\u662f\u5426\u5b66\u6821\u63a8\u8350')),
                ('comment', models.TextField(blank=True, null=True, verbose_name='\u5907\u6ce8')),
                ('match_status', models.PositiveSmallIntegerField(blank=True, choices=[(0, '\u672a\u5ba1\u6838'), (1, '\u5bf9\u53e3'), (2, '\u4e0d\u5bf9\u53e3'), (3, '\u5df2\u5220\u9664')], db_index=True, default=0, null=True, verbose_name='\u4e13\u4e1a\u5bf9\u53e3')),
                ('status', models.PositiveSmallIntegerField(choices=[(0, '\u672a\u5b9e\u4e60'), (1, '\u5b9e\u4e60'), (2, '\u6b63\u5f0f\u5458\u5de5'), (4, '\u79bb\u804c'), (5, '\u4e2d\u8f6c\u9ad8'), (6, '\u5347\u5b66'), (7, '\u53c2\u519b')], db_index=True, null=True, verbose_name='\u5b9e\u4e60\u72b6\u6001')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('graduate_goes', models.PositiveSmallIntegerField(blank=True, choices=[(0, '\u7b7e\u5c31\u4e1a\u534f\u8bae\u5f62\u5f0f\u5c31\u4e1a'), (1, '\u7b7e\u52b3\u52a8\u5408\u540c\u5f62\u5f0f\u5c31\u4e1a'), (2, '\u5176\u4ed6\u5f55\u7528\u5f62\u5f0f\u5c31\u4e1a'), (3, '\u5176\u4ed6\u60c5\u51b5')], db_index=True, null=True, verbose_name='\u6bd5\u4e1a\u53bb\u5411')),
                ('institution_type', models.CharField(blank=True, choices=[('', ''), ('10000', '\u673a\u5173\u3001\u90e8\u961f\u3001\u515a\u7fa4\u53ca\u653f\u6cd5\u7cfb\u7edf'), ('10100', '\u56fd\u5bb6\u673a\u5173'), ('10101', '\u4e2d\u592e\u53ca\u7701\uff08\u81ea\u6cbb\u533a\u3001\u76f4\u8f96\u5e02\uff09\u5c5e\u7684\u56fd\u5bb6\u673a\u5173'), ('10102', '\u5730\u5e02\uff08\u5dde\u3001\u76df\u3001\u7701\u8f96\u5e02\uff09\u5385\u5c40\u5c5e\u7684\u56fd\u5bb6\u673a\u5173'), ('10103', '\u53bf\uff08\u8f96\u5e02\u3001\u65d7\uff09\u5c5e\u7684\u56fd\u5bb6\u673a\u5173'), ('10104', '\u4e61\u9547\u5c5e\u7684\u56fd\u5bb6\u673a\u5173'), ('10200', '\u515a\u7fa4\u7cfb\u7edf'), ('10201', '\u4e2d\u592e\u53ca\u7701\uff08\u81ea\u6cbb\u533a\u3001\u76f4\u8f96\u5e02\uff09\u5c5e\u7684\u515a\u7fa4\u7cfb\u7edf'), ('10202', '\u5730\u5e02\uff08\u5dde\u3001\u76df\u3001\u7701\u8f96\u5e02\uff09\u5385\u5c40\u5c5e\u7684\u515a\u7fa4\u7cfb\u7edf'), ('10203', '\u53bf\uff08\u8f96\u5e02\u3001\u65d7\uff09\u5c5e\u7684\u515a\u7fa4\u7cfb\u7edf'), ('10204', '\u4e61\u9547\u5c5e\u7684\u515a\u7fa4\u7cfb\u7edf'), ('10300', '\u653f\u6cd5\u7cfb\u7edf'), ('10301', '\u4e2d\u592e\u53ca\u7701\uff08\u81ea\u6cbb\u533a\u3001\u76f4\u8f96\u5e02\uff09\u5c5e\u7684\u653f\u6cd5\u7cfb\u7edf'), ('10302', '\u5730\u5e02\uff08\u5dde\u3001 \u76df\u3001\u7701\u8f96\u5e02\uff09\u5385\u5c40\u5c5e\u7684\u653f\u6cd5\u7cfb\u7edf'), ('10303', '\u53bf\uff08\u8f96\u5e02\u3001\u65d7\uff09\u5c5e\u7684\u653f\u6cd5\u7cfb\u7edf'), ('10304', '\u4e61\u9547\u5c5e\u7684\u653f\u6cd5\u7cfb\u7edf'), ('10400', '\u90e8\u961f\u3001\u6b66\u8b66\u3001\u90e8\u961f\u9662\u6821'), ('10401', '\u4e2d\u56fd\u4eba\u6c11\u89e3\u653e\u519b'), ('10402', '\u4e2d\u56fd\u4eba\u6c11\u6b66\u88c5\u8b66\u5bdf\u90e8\u961f'), ('10403', '\u90e8\u961f\u9662\u6821'), ('10500', '\u793e\u4f1a\u56e2\u4f53'), ('10501', '\u793e\u4f1a\u56e2\u4f53'), ('19900', '\u5176\u4ed6\u673a\u5173\u3001\u90e8\u961f\u3001\u515a\u7fa4\u53ca\u653f\u6cd5\u7cfb\u7edf\u5355\u4f4d'), ('19901', '\u5176\u4ed6\u673a\u5173\u3001\u90e8\u961f\u3001\u515a\u7fa4\u53ca\u653f\u6cd5\u7cfb\u7edf\u5355\u4f4d'), ('20000', '\u4e8b\u4e1a\u5355\u4f4d'), ('20100', '\u9ad8\u7b49\u9662\u6821'), ('20101', '\u666e\u901a\u672c\u79d1\u9662\u6821'), ('20102', '\u9ad8\u804c\u9ad8\u4e13\u9662\u6821'), ('20103', '\u6c11\u529e\u9662\u6821'), ('20104', '\u72ec\u7acb\u5b66\u9662'), ('20105', '\u90e8\u95e8\uff08\u4f01\u4e1a\uff09\u529e\u5b66\u9662\u6821'), ('20199', '\u5176\u4ed6\u9ad8\u7b49\u9662\u6821'), ('20200', '\u666e\u6559\u7cfb\u7edf'), ('20201', '\u5b8c\u5168\u4e2d\u5b66'), ('20202', '\u9ad8\u4e2d'), ('20203', '\u521d\u4e2d'), ('20204', '\u5c0f\u5b66'), ('20205', '\u5e7c\u513f\u56ed'), ('20206', '\u4e2d\u4e13\uff08\u6280\u6821\uff09'), ('20207', '\u6c11\u529e\u666e\u6559\u5b66\u6821'), ('20299', '\u5176\u4ed6\u666e\u6559\u7cfb\u7edf'), ('20300', '\u79d1\u7814\u8bbe\u8ba1\u5355\u4f4d'), ('20301', '\u4e2d\u592e\u53ca\u7701\uff08\u81ea\u6cbb\u533a\u3001\u76f4\u8f96\u5e02\uff09\u5c5e\u7684\u79d1\u7814\u8bbe\u8ba1\u5355\u4f4d'), ('20302', '\u5730\u5e02\uff08\u5dde\u3001\u76df\u3001\u7701\u8f96\u5e02\uff09\u5385\u5c40\u5c5e\u7684\u79d1\u7814\u8bbe\u8ba1\u5355\u4f4d'), ('20303', '\u53bf\uff08\u8f96\u5e02\u3001\u65d7\uff09\u5c5e\u7684\u79d1\u7814\u8bbe\u8ba1\u5355\u4f4d'), ('20304', '\u4e61\u9547\u5c5e\u7684\u79d1\u7814\u8bbe\u8ba1\u5355\u4f4d'), ('20399', '\u5176\u4ed6\u79d1\u7814\u8bbe\u8ba1\u5355\u4f4d'), ('20400', '\u533b\u7597\u536b\u751f\u5355\u4f4d'), ('20401', '\u4e2d\u592e\u53ca\u7701\uff08\u81ea\u6cbb\u533a\u3001\u76f4\u8f96\u5e02\uff09\u5c5e\u7684\u533b\u7597\u536b\u751f\u5355\u4f4d'), ('20402', '\u5730\u5e02\uff08\u5dde\u3001\u76df\u3001\u7701\u8f96\u5e02\uff09\u5385\u5c40\u5c5e\u7684\u533b\u7597\u536b\u751f\u5355\u4f4d'), ('20403', '\u53bf\uff08\u8f96\u5e02\u3001\u65d7\uff09\u5c5e\u7684\u533b\u7597\u536b\u751f\u5355\u4f4d'), ('20404', '\u4e61\u9547\u5c5e\u7684\u533b\u7597\u536b\u751f\u5355\u4f4d'), ('20499', '\u5176\u4ed6\u533b\u7597\u536b\u751f\u5355\u4f4d'), ('29900', '\u5176\u4ed6\u4e8b\u4e1a\u5355\u4f4d'), ('29901', '\u5176\u4ed6\u4e8b\u4e1a\u5355\u4f4d'), ('30000', '\u4f01\u4e1a\u5355\u4f4d'), ('30100', '\u56fd\u6709\u4f01\u4e1a'), ('30101', '\u4e2d\u592e\u53ca\u7701\uff08\u81ea\u6cbb\u533a\u3001\u76f4\u8f96\u5e02\uff09\u5c5e\u7684\u56fd\u6709\u4f01\u4e1a'), ('30102', '\u5730\u5e02\uff08\u5dde\u3001\u76df\u3001\u7701\u8f96\u5e02\uff09\u5385\u5c40\u5c5e\u7684\u56fd\u6709\u4f01\u4e1a'), ('30103', '\u53bf\uff08\u8f96\u5e02\u3001\u65d7\uff09\u5c5e\u7684\u56fd\u6709\u4f01\u4e1a'), ('30104', '\u4e61\u9547\u5c5e\u7684\u56fd\u6709\u4f01\u4e1a'), ('30199', '\u5176\u4ed6\u56fd\u6709\u4f01\u4e1a'), ('30200', '\u96c6\u4f53\u4f01\u4e1a'), ('30201', '\u96c6\u4f53\u4f01\u4e1a'), ('30300', '\u80a1\u4efd\u5408\u4f5c\u4f01\u4e1a'), ('30301', '\u80a1\u4efd\u5408\u4f5c\u4f01\u4e1a'), ('30400', '\u8054\u8425\u4f01\u4e1a'), ('30401', '\u8054\u8425\u4f01\u4e1a'), ('30500', '\u6709\u9650\u8d23\u4efb\u516c\u53f8'), ('30501', '\u6709\u9650\u8d23\u4efb\u516c\u53f8'), ('30600', '\u80a1\u4efd\u6709\u9650\u516c\u53f8'), ('30601', '\u80a1\u4efd\u6709\u9650\u516c\u53f8'), ('30700', '\u79c1\u8425\u4f01\u4e1a'), ('30701', '\u79c1\u8425\u4f01\u4e1a'), ('30800', '\u6e2f\u3001\u6fb3\u3001\u53f0\u5546\u6295\u8d44\u4f01\u4e1a'), ('30801', '\u6e2f\u3001\u6fb3\u3001\u53f0\u5546\u6295\u8d44\u4f01\u4e1a'), ('30900', '\u5916\u5546\u6295\u8d44\u4f01\u4e1a'), ('30901', '\u5916\u5546\u6295\u8d44\u4f01\u4e1a'), ('39900', '\u5176\u4ed6\u4f01\u4e1a'), ('39901', '\u5176\u4ed6\u4f01\u4e1a'), ('40000', '\u5176\u4ed6\u5c31\u4e1a\u5f62\u5f0f'), ('40100', '\u56fd\u5bb6\u9879\u76ee'), ('40101', '\u897f\u90e8\u8ba1\u5212'), ('40102', '\u5e94\u5f81\u4e49\u52a1\u5175'), ('40200', '\u5730\u65b9\u9879\u76ee'), ('40201', '\u9009\u8c03\u751f'), ('40202', '\u4e09\u652f\u4e00\u6276'), ('40203', '\u519c\u6751\u6559\u80b2\u7855\u58eb'), ('40204', '\u79d1\u7814\u52a9\u7406'), ('40205', '\u519c\u6751\u5efa\u5236\u6751'), ('40300', '\u81ea\u7531\u804c\u4e1a'), ('40301', '\u5bb6\u6559'), ('40302', '\u7f51\u5e97'), ('40303', '\u81ea\u7531\uff08\u81ea\u96c7\uff09\u804c\u4e1a\u827a\u672f\u5de5\u4f5c\u8005'), ('40304', '\u5176\u4ed6\u81ea\u7531\u804c\u4e1a'), ('40400', '\u81ea\u4e3b\u521b\u4e1a'), ('40401', '\u56e2\u961f\u521b\u4e1a'), ('40402', '\u52a0\u76df\u7ecf\u8425'), ('40403', '\u6280\u672f\u8f6c\u5316\u521b\u4e1a'), ('40404', '\u9879\u76ee\u5b75\u5316\u521b\u4e1a'), ('40405', '\u521b\u610f\u521b\u4e1a'), ('40406', '\u7f51\u7edc\u8425\u9500'), ('40407', '\u4e2a\u4f53\u521b\u4e1a'), ('40408', '\u5176\u4ed6\u521b\u4e1a'), ('50000', '\u5347\u5b66'), ('50100', '\u5347\u5b66'), ('50101', '\u5347\u5b66'), ('50102', '\u5176\u4ed6\u5f62\u5f0f\u518d\u5b66\u4e60'), ('80000', '\u51fa\u56fd\u3001\u51fa\u5883'), ('80100', '\u51fa\u56fd\u3001\u51fa\u5883'), ('80101', '\u51fa\u56fd\u3001\u51fa\u5883'), ('90000', '\u672a\u5c31\u4e1a'), ('90100', '\u505c\u7528'), ('90101', '\uff08\u505c\u7528\uff09\u4e0d\u5217\u5165\u5c31\u4e1a\u7387\u7edf\u8ba1'), ('90102', '\uff08\u505c\u7528\uff09 \u5f85\u5c31\u4e1a'), ('90200', '\u6709\u5c31\u4e1a\u610f\u613f\u5c1a\u672a\u5c31\u4e1a'), ('90201', '\u6c42\u804c\u4e2d'), ('90202', '\u7b7e\u7ea6\u4e2d'), ('90203', '\u62df\u53c2\u52a0\u516c\u62db\u8003\u8bd5'), ('90204', '\u62df\u521b\u4e1a'), ('90205', '\u62df\u5e94\u5f81\u5165\u4f0d'), ('90300', '\u6682\u4e0d\u5c31\u4e1a'), ('90301', '\u65e0\u5c31\u4e1a\u610f\u613f'), ('90302', '\u62df\u5347\u5b66'), ('90303', '\u62df\u51fa\u56fd\u51fa\u5883'), ('', '')], db_index=True, max_length=8, null=True, verbose_name='\u5355\u4f4d\u7c7b\u578b')),
                ('institution_industry', models.CharField(blank=True, choices=[('', ''), ('10000', '\u519c\u3001\u6797\u3001\u7267\u3001\u6e14\u4e1a'), ('10100', '\u519c\u4e1a'), ('10200', '\u6797\u4e1a'), ('10300', '\u755c\u7267\u4e1a'), ('10400', '\u6e14\u4e1a'), ('10500', '\u519c\u3001\u6797\u3001\u7267\u3001\u6e14\u670d\u52a1\u4e1a'), ('20000', '\u91c7\u77ff\u4e1a'), ('20600', '\u7164\u70ad\u5f00\u91c7\u548c\u6d17\u9009\u4e1a'), ('20700', '\u77f3\u6cb9\u548c\u5929\u7136\u6c14\u5f00\u91c7\u4e1a'), ('20800', '\u9ed1\u8272\u91d1\u5c5e\u77ff\u91c7\u9009\u4e1a'), ('20900', '\u6709\u8272\u91d1\u5c5e\u77ff\u91c7\u9009\u4e1a'), ('21000', '\u975e\u91d1\u5c5e\u77ff\u91c7\u9009\u4e1a'), ('21100', '\u5f00\u91c7\u8f85\u52a9\u6d3b\u52a8'), ('21200', '\u5176\u4ed6\u91c7\u77ff\u4e1a'), ('30000', '\u5236\u9020\u4e1a'), ('31300', '\u519c\u526f\u98df\u54c1\u52a0\u5de5\u4e1a'), ('31400', '\u98df\u54c1\u5236\u9020\u4e1a'), ('31500', '\u9152\u3001\u996e\u6599\u548c\u7cbe\u5236\u8336\u5236\u9020\u4e1a'), ('31600', '\u70df\u8349\u5236\u54c1\u4e1a'), ('31700', '\u7eba\u7ec7\u4e1a'), ('31800', '\u7eba\u7ec7\u670d\u88c5\u3001\u670d\u9970\u4e1a'), ('31900', '\u76ae\u9769\u3001\u6bdb\u76ae\u3001\u7fbd\u6bdb\u53ca\u5176\u5236\u54c1\u548c\u5236\u978b\u4e1a'), ('32000', '\u6728\u6750\u52a0\u5de5\u548c\u6728\u3001\u7af9\u3001\u85e4\u3001\u68d5\u3001\u8349\u5236\u54c1\u4e1a'), ('32100', '\u5bb6\u5177\u5236\u9020\u4e1a'), ('32200', '\u9020\u7eb8\u548c\u7eb8\u5236\u54c1\u4e1a'), ('32300', '\u5370\u5237\u548c\u8bb0\u5f55\u5a92\u4ecb\u590d\u5236\u4e1a'), ('32400', '\u6587\u6559\u3001\u5de5\u7f8e\u3001\u4f53\u80b2\u548c\u5a31\u4e50\u7528\u54c1\u5236\u9020\u4e1a'), ('32500', '\u77f3\u6cb9\u52a0\u5de5\u3001\u70bc\u7126\u548c\u6838\u71c3\u6599\u52a0\u5de5\u4e1a'), ('32600', '\u5316\u5b66\u539f\u6599\u548c\u5316\u5b66\u5236\u54c1\u5236\u9020\u4e1a'), ('32700', '\u533b\u836f\u5236\u9020\u4e1a'), ('32800', '\u5316\u5b66\u7ea4\u7ef4\u5236\u9020\u4e1a'), ('32900', '\u6a61\u80f6\u548c\u5851\u6599\u5236\u54c1\u4e1a'), ('33000', '\u975e\u91d1\u5c5e\u77ff\u7269\u5236\u54c1\u4e1a'), ('33100', '\u9ed1\u8272\u91d1\u5c5e\u51b6\u70bc\u548c\u538b\u5ef6\u52a0\u5de5\u4e1a'), ('33200', '\u6709\u8272\u91d1\u5c5e\u51b6\u70bc\u548c\u538b\u5ef6\u52a0\u5de5\u4e1a'), ('33300', '\u91d1\u5c5e\u5236\u54c1\u4e1a'), ('33400', '\u901a\u7528\u8bbe\u5907\u5236\u9020\u4e1a'), ('33500', '\u4e13\u7528\u8bbe\u5907\u5236\u9020\u4e1a'), ('33600', '\u6c7d\u8f66\u5236\u9020\u4e1a'), ('33700', '\u94c1\u8def\u3001\u8239\u8236\u3001\u822a\u7a7a\u822a\u5929\u548c\u5176\u4ed6\u8fd0\u8f93\u8bbe\u5907\u5236\u9020\u4e1a'), ('33800', '\u7535\u6c14\u673a\u68b0\u548c\u5668\u6750\u5236\u9020\u4e1a'), ('33900', '\u8ba1\u7b97\u673a\u3001\u901a\u4fe1\u548c\u5176\u4ed6\u7535\u5b50\u8bbe\u5907\u5236\u9020\u4e1a'), ('34000', '\u4eea\u5668\u4eea\u8868\u5236\u9020\u4e1a'), ('34100', '\u5176\u4ed6\u5236\u9020\u4e1a'), ('34200', '\u5e9f\u5f03\u8d44\u6e90\u7efc\u5408\u5229\u7528\u4e1a'), ('34300', '\u91d1\u5c5e\u5236\u54c1\u3001\u673a\u68b0\u548c\u8bbe\u5907\u4fee\u7406\u4e1a'), ('40000', '\u7535\u529b\u3001\u70ed\u529b\u3001\u71c3\u6c14\u53ca\u6c34\u751f\u4ea7\u548c\u4f9b\u5e94\u4e1a'), ('44400', '\u7535\u529b\u3001\u70ed\u529b\u751f\u4ea7\u548c\u4f9b\u5e94\u4e1a'), ('44500', '\u71c3\u6c14\u751f\u4ea7\u548c\u4f9b\u5e94\u4e1a'), ('44600', '\u6c34\u7684\u751f\u4ea7\u548c\u4f9b\u5e94\u4e1a'), ('50000', '\u5efa\u7b51\u4e1a'), ('54700', '\u623f\u5c4b\u5efa\u7b51\u4e1a'), ('54800', '\u571f\u6728\u5de5\u7a0b\u5efa\u7b51\u4e1a'), ('54900', '\u5efa\u7b51\u5b89\u88c5\u4e1a'), ('55000', '\u5efa\u7b51\u88c5\u9970\u548c\u5176\u4ed6\u5efa\u7b51\u4e1a'), ('60000', '\u6279\u53d1\u548c\u96f6\u552e\u4e1a'), ('65100', '\u6279\u53d1\u4e1a'), ('65200', '\u96f6\u552e\u4e1a'), ('70000', '\u4ea4\u901a\u8fd0\u8f93\u3001\u4ed3\u50a8\u548c\u90ae\u653f\u4e1a'), ('75300', '\u94c1\u8def\u8fd0\u8f93\u4e1a'), ('75400', '\u9053\u8def\u8fd0\u8f93\u4e1a'), ('75500', '\u6c34\u4e0a\u8fd0\u8f93\u4e1a'), ('75600', '\u822a\u7a7a\u8fd0\u8f93\u4e1a'), ('75700', '\u7ba1\u9053\u8fd0\u8f93\u4e1a'), ('75800', '\u88c5\u5378\u642c\u8fd0\u548c\u8fd0\u8f93\u4ee3\u7406\u4e1a'), ('75900', '\u4ed3\u50a8\u4e1a'), ('76000', '\u90ae\u653f\u4e1a'), ('80000', '\u4f4f\u5bbf\u548c\u9910\u996e\u4e1a'), ('86100', '\u4f4f\u5bbf\u4e1a'), ('86200', '\u9910\u996e\u4e1a'), ('90000', '\u4fe1\u606f\u4f20\u8f93\u3001\u8f6f\u4ef6\u548c\u4fe1\u606f\u6280\u672f\u670d\u52a1\u4e1a'), ('96300', '\u7535\u4fe1\u3001\u5e7f\u64ad\u7535\u89c6\u548c\u536b\u661f\u4f20\u8f93\u670d\u52a1'), ('96400', '\u4e92\u8054\u7f51\u548c\u76f8\u5173\u670d\u52a1'), ('96500', '\u8f6f\u4ef6\u548c\u4fe1\u606f\u6280\u672f\u670d\u52a1\u4e1a'), ('100000', '\u91d1\u878d\u4e1a'), ('106600', '\u8d27\u5e01\u91d1\u878d\u670d\u52a1'), ('106700', '\u8d44\u672c\u5e02\u573a\u670d\u52a1'), ('106800', '\u4fdd\u9669\u4e1a'), ('106900', '\u5176\u4ed6\u91d1\u878d\u4e1a'), ('110000', '\u623f\u5730\u4ea7\u4e1a'), ('117000', '\u623f\u5730\u4ea7\u4e1a'), ('120000', '\u79df\u8d41\u548c\u5546\u52a1\u670d\u52a1\u4e1a'), ('127100', '\u79df\u8d41\u4e1a'), ('127200', '\u5546\u52a1\u670d\u52a1\u4e1a'), ('130000', '\u79d1\u5b66\u7814\u7a76\u548c\u6280\u672f\u670d\u52a1\u4e1a'), ('137300', '\u7814\u7a76\u548c\u8bd5\u9a8c\u53d1\u5c55'), ('137400', '\u4e13\u4e1a\u6280\u672f\u670d\u52a1\u4e1a'), ('137500', '\u79d1\u6280\u63a8\u5e7f\u548c\u5e94\u7528\u670d\u52a1\u4e1a'), ('140000', '\u6c34\u5229\u3001\u73af\u5883\u548c\u516c\u5171\u8bbe\u65bd\u7ba1\u7406\u4e1a'), ('147600', '\u6c34\u5229\u7ba1\u7406\u4e1a'), ('147700', '\u751f\u6001\u4fdd\u62a4\u548c\u73af\u5883\u6cbb\u7406\u4e1a'), ('147800', '\u516c\u5171\u8bbe\u65bd\u7ba1\u7406\u4e1a'), ('150000', '\u5c45\u6c11\u670d\u52a1\u3001\u4fee\u7406\u548c\u5176\u4ed6\u670d\u52a1\u4e1a'), ('157900', '\u5c45\u6c11\u670d\u52a1\u4e1a'), ('158000', '\u673a\u52a8\u8f66\u3001\u7535\u5b50\u4ea7\u54c1\u548c\u65e5\u7528\u4ea7\u54c1\u4fee\u7406\u4e1a'), ('158100', '\u5176\u4ed6\u670d\u52a1\u4e1a'), ('160000', '\u6559\u80b2'), ('168200', '\u6559\u80b2'), ('170000', '\u536b\u751f\u548c\u793e\u4f1a\u5de5\u4f5c'), ('178300', '\u536b\u751f'), ('178400', '\u793e\u4f1a\u5de5\u4f5c'), ('180000', '\u6587\u5316\u3001\u4f53\u80b2\u548c\u5a31\u4e50\u4e1a'), ('188500', '\u65b0\u95fb\u548c\u51fa\u7248\u4e1a'), ('188600', '\u5e7f\u64ad\u3001\u7535\u89c6\u3001\u7535\u5f71\u548c\u5f71\u89c6\u5f55\u97f3\u5236\u4f5c\u4e1a'), ('188700', '\u6587\u5316\u827a\u672f\u4e1a'), ('188800', '\u4f53\u80b2'), ('188900', '\u5a31\u4e50\u4e1a'), ('190000', '\u516c\u5171\u7ba1\u7406\u3001\u793e\u4f1a\u4fdd\u969c\u548c\u793e\u4f1a\u7ec4\u7ec7'), ('199000', '\u4e2d\u56fd\u5171\u4ea7\u515a\u673a\u5173'), ('199100', '\u56fd\u5bb6\u673a\u6784'), ('199200', '\u4eba\u6c11\u653f\u534f\u3001\u6c11\u4e3b\u515a\u6d3e'), ('199300', '\u793e\u4f1a\u4fdd\u969c'), ('199400', '\u7fa4\u4f17\u56e2\u4f53\u3001\u793e\u4f1a\u56e2\u4f53\u548c\u5176\u4ed6\u6210\u5458\u7ec4\u7ec7'), ('199500', '\u57fa\u5c42\u7fa4\u4f17\u81ea\u6cbb\u7ec4\u7ec7'), ('200000', '\u56fd\u9645\u7ec4\u7ec7'), ('209600', '\u56fd\u9645\u7ec4\u7ec7')], db_index=True, max_length=8, null=True, verbose_name='\u5355\u4f4d\u6240\u5c5e\u884c\u4e1a')),
                ('behavior_intention', models.PositiveSmallIntegerField(blank=True, choices=[(0, '\u884c\u653f'), (1, '\u8bbe\u8ba1'), (2, '\u7ba1\u7406'), (3, '\u751f\u4ea7'), (4, '\u8bfb\u4e66'), (5, '\u5f85\u4e1a'), (6, '\u670d\u5f79'), (7, '\u5176\u4ed6')], db_index=True, null=True, verbose_name='\u4f7f\u7528\u610f\u56fe')),
                ('job_type', models.CharField(blank=True, choices=[('', ''), ('10000', '\u56fd\u5bb6\u673a\u5173\u3001\u515a\u7fa4\u7ec4\u7ec7\u3001\u4f01\u4e1a\u3001\u4e8b\u4e1a\u5355\u4f4d\u8d1f\u8d23\u4eba'), ('10100', '\u4e2d\u56fd\u5171\u4ea7\u515a\u4e2d\u592e\u59d4\u5458\u4f1a\u548c\u5730\u65b9\u5404\u7ea7\u515a\u7ec4\u7ec7\u8d1f\u8d23\u4eba.'), ('10101', '\u4e2d\u56fd\u5171\u4ea7\u515a\u4e2d\u592e\u59d4\u5458\u4f1a\u548c\u5730\u65b9\u5404\u7ea7\u515a\u7ec4\u7ec7\u8d1f\u8d23\u4eba..'), ('10200', '\u56fd\u5bb6\u673a\u5173\u53ca\u5176\u5de5\u4f5c\u673a\u6784\u8d1f\u8d23\u4eba'), ('10201', '\u56fd\u5bb6\u6743\u529b\u673a\u5173\u53ca\u5176\u5de5\u4f5c\u673a\u6784\u8d1f\u8d23\u4eba'), ('10202', '\u4eba\u6c11\u653f\u534f\u53ca\u5176\u5de5\u4f5c\u673a\u6784\u8d1f\u8d23\u4eba'), ('10203', '\u4eba\u6c11\u6cd5\u9662\u8d1f\u8d23\u4eba'), ('10204', '\u4eba\u6c11\u68c0\u5bdf\u9662\u8d1f\u8d23\u4eba'), ('10205', '\u56fd\u5bb6\u884c\u653f\u673a\u5173\u53ca\u5176\u5de5\u4f5c\u673a\u6784\u8d1f\u8d23\u4eba'), ('10299', '\u5176\u4ed6\u56fd\u5bb6\u673a\u5173\u53ca\u5176\u5de5\u4f5c\u673a\u6784\u8d1f\u8d23\u4eba'), ('10300', '\u6c11\u4e3b\u515a\u6d3e\u548c\u793e\u4f1a\u56e2\u4f53\u53ca\u5176\u5de5\u4f5c\u673a\u6784\u8d1f\u8d23\u4eba'), ('10301', '\u6c11\u4e3b\u515a\u6d3e\u8d1f\u8d23\u4eba'), ('10302', '\u5de5\u4f1a\u3001\u5171\u9752\u56e2\u3001\u5987\u8054\u7b49\u4eba\u6c11\u56e2\u4f53\u53ca\u5176\u5de5\u4f5c\u673a\u6784\u8d1f\u8d23\u4eba'), ('10303', '\u7fa4\u4f17\u81ea\u6cbb\u7ec4\u7ec7\u8d1f\u8d23\u4eba'), ('10399', '\u5176\u4ed6\u793e\u4f1a\u56e2\u4f53\u53ca\u5176\u5de5\u4f5c\u673a\u6784\u8d1f\u8d23\u4eba'), ('10400', '\u4e8b\u4e1a\u5355\u4f4d\u8d1f\u8d23\u4eba'), ('10401', '\u6559\u80b2\u6559\u5b66\u5355\u4f4d\u8d1f\u8d23\u4eba'), ('10402', '\u536b\u751f\u5355\u4f4d\u8d1f\u8d23\u4eba'), ('10403', '\u79d1\u7814\u5355\u4f4d\u8d1f\u8d23\u4eba'), ('10499', '\u5176\u4ed6\u4e8b\u4e1a\u5355\u4f4d\u8d1f\u8d23\u4eba'), ('10500', '\u4f01\u4e1a\u8d1f\u8d23\u4eba.'), ('10501', '\u4f01\u4e1a\u8d1f\u8d23\u4eba..'), ('20000', '\u4e13\u4e1a\u6280\u672f\u4eba\u5458'), ('20100', '\u79d1\u5b66\u7814\u7a76\u4eba\u5458'), ('20101', '\u54f2\u5b66\u7814\u7a76\u4eba\u5458'), ('20102', '\u7ecf\u6d4e\u5b66\u7814\u7a76\u4eba\u5458'), ('20103', '\u6cd5\u5b66\u7814\u7a76\u4eba\u5458'), ('20104', '\u793e\u4f1a\u5b66\u7814\u7a76\u4eba\u5458'), ('20105', '\u6559\u80b2\u79d1\u5b66\u7814\u7a76\u4eba\u5458'), ('20106', '\u6587\u5b66\u3001\u827a\u672f\u7814\u7a76\u4eba\u5458'), ('20107', '\u56fe\u4e66\u9986\u5b66\u3001\u60c5\u62a5\u5b66\u7814\u7a76\u4eba\u5458'), ('20108', '\u5386\u53f2\u5b66\u7814\u7a76\u4eba\u5458'), ('20109', '\u7ba1\u7406\u79d1\u5b66\u7814\u7a76\u4eba\u5458'), ('20110', '\u6570\u5b66\u7814\u7a76\u4eba\u5458'), ('20111', '\u7269\u7406\u5b66\u7814\u7a76\u4eba\u5458'), ('20112', '\u5316\u5b66\u7814\u7a76\u4eba\u5458'), ('20113', '\u5929\u6587\u5b66\u7814\u7a76\u4eba\u5458'), ('20114', '\u5730\u7403\u79d1\u5b66\u7814\u7a76\u4eba\u5458'), ('20115', '\u751f\u7269\u79d1\u5b66\u7814\u7a76\u4eba\u5458'), ('20116', '\u519c\u4e1a\u79d1\u5b66\u7814\u7a76\u4eba\u5458'), ('20117', '\u533b\u5b66\u7814\u7a76\u4eba\u5458'), ('20199', '\u5176\u4ed6\u79d1\u5b66\u7814\u7a76\u4eba\u5458'), ('20200', '\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20201', '\u5730\u8d28\u52d8\u63a2\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20202', '\u6d4b\u7ed8\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20203', '\u77ff\u5c71\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20204', '\u77f3\u6cb9\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20205', '\u51b6\u91d1\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20206', '\u5316\u5de5\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20207', '\u673a\u68b0\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20208', '\u5175\u5668\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20209', '\u822a\u7a7a\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20210', '\u822a\u5929\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20211', '\u7535\u5b50\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20212', '\u901a\u4fe1\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20213', '\u8ba1\u7b97\u673a\u4e0e\u5e94\u7528\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20214', '\u7535\u6c14\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20215', '\u7535\u529b\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20216', '\u90ae\u653f\u5de5\u4f5c\u6280\u672f\u4eba\u5458'), ('20217', '\u5e7f\u64ad\u7535\u5f71\u7535\u89c6\u6280\u672f\u4eba\u5458'), ('20218', '\u4ea4\u901a\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20219', '\u6c11\u7528\u822a\u7a7a\u4ea4\u901a\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20220', '\u94c1\u8def\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20221', '\u5efa\u7b51\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20222', '\u5efa\u6750\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20223', '\u6797\u4e1a\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20224', '\u6c34\u5229\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20225', '\u6d77\u6d0b\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20226', '\u6c34\u4ea7\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20227', '\u7eba\u7ec7\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20228', '\u98df\u54c1\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20229', '\u6c14\u8c61\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20230', '\u5730\u9707\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20231', '\u73af\u5883\u4fdd\u62a4\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20232', '\u5b89\u5168\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20233', '\u6807\u51c6\u5316\u3001\u8ba1\u91cf\u3001\u8d28\u91cf\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20234', '\u7ba1\u7406\uff08\u5de5\u4e1a\uff09\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20235', '\u751f\u7269\u6280\u672f\u5de5\u7a0b\u4eba\u5458'), ('20299', '\u5176\u4ed6\u5de5\u7a0b\u6280\u672f\u4eba\u5458'), ('20300', '\u519c\u4e1a\u6280\u672f\u4eba\u5458'), ('20301', '\u571f\u58e4\u80a5\u6599\u6280\u672f\u4eba\u5458'), ('20302', '\u690d\u7269\u4fdd\u62a4\u6280\u672f\u4eba\u5458'), ('20303', '\u56ed\u827a\u6280\u672f\u4eba\u5458'), ('20304', '\u4f5c\u7269\u9057\u4f20\u80b2\u79cd\u683d\u57f9\u6280\u672f\u4eba\u5458'), ('20305', '\u517d\u533b\u517d\u836f\u6280\u672f\u4eba\u5458'), ('20306', '\u755c\u7267\u4e0e\u8349\u4e1a\u6280\u672f\u4eba\u5458'), ('20399', '\u5176\u4ed6\u519c\u4e1a\u6280\u672f\u4eba\u5458'), ('20400', '\u98de\u673a\u548c\u8239\u8236\u6280\u672f\u4eba\u5458'), ('20401', '\u98de\u884c\u4eba\u5458\u548c\u9886\u822a\u4eba\u5458'), ('20402', '\u8239\u8236\u6307\u6325\u548c\u5f15\u822a\u4eba\u5458'), ('20499', '\u5176\u4ed6\u98de\u673a\u548c\u8239\u8236\u6280\u672f\u4eba\u5458'), ('20500', '\u536b\u751f\u4e13\u4e1a\u6280\u672f\u4eba\u5458'), ('20501', '\u897f\u533b\u533b\u5e08'), ('20502', '\u4e2d\u533b\u533b\u5e08'), ('20503', '\u4e2d\u897f\u533b\u7ed3\u5408\u533b\u5e08'), ('20504', '\u6c11\u65cf\u533b\u5e08'), ('20505', '\u516c\u5171\u536b\u751f\u533b\u5e08'), ('20506', '\u836f\u5242\u4eba\u5458'), ('20507', '\u533b\u7597\u6280\u672f\u4eba\u5458'), ('20508', '\u62a4\u7406\u4eba\u5458'), ('20599', '\u5176\u4ed6\u536b\u751f\u4e13\u4e1a\u6280\u672f\u4eba\u5458'), ('20600', '\u7ecf\u6d4e\u4e1a\u52a1\u4eba\u5458'), ('20601', '\u7ecf\u6d4e\u8ba1\u5212\u4eba\u5458'), ('20602', '\u7edf\u8ba1\u4eba\u5458'), ('20603', '\u4f1a\u8ba1\u4eba\u5458'), ('20604', '\u5ba1\u8ba1\u4eba\u5458'), ('20605', '\u56fd\u9645\u5546\u52a1\u4eba\u5458'), ('20699', '\u5176\u4ed6\u7ecf\u6d4e\u4e1a\u52a1\u4eba\u5458'), ('20700', '\u91d1\u878d\u4e1a\u52a1\u4eba\u5458'), ('20701', '\u94f6\u884c\u4e1a\u52a1\u4eba\u5458'), ('20702', '\u4fdd\u9669\u4e1a\u52a1\u4eba\u5458'), ('20703', '\u8bc1\u5238\u4e1a\u52a1\u4eba\u5458'), ('20799', '\u5176\u4ed6\u91d1\u878d\u4e1a\u52a1\u4eba\u5458'), ('20800', '\u6cd5\u5f8b\u4e13\u4e1a\u4eba\u5458'), ('20801', '\u6cd5\u5b98'), ('20802', '\u68c0\u5bdf\u5b98'), ('20803', '\u5f8b\u5e08'), ('20804', '\u516c\u8bc1\u5458'), ('20805', '\u53f8\u6cd5\u9274\u5b9a\u4eba\u5458'), ('20806', '\u4e66\u8bb0\u5458'), ('20899', '\u5176\u4ed6\u6cd5\u5f8b\u4e13\u4e1a\u4eba\u5458'), ('20900', '\u6559\u5b66\u4eba\u5458'), ('20901', '\u9ad8\u7b49\u6559\u80b2\u6559\u5e08'), ('20902', '\u4e2d\u7b49\u804c\u4e1a\u6559\u80b2\u6559\u5e08'), ('20903', '\u4e2d\u5b66\u6559\u5e08'), ('20904', '\u5c0f\u5b66\u6559\u5e08'), ('20905', '\u5e7c\u513f\u6559\u5e08'), ('20906', '\u7279\u6b8a\u6559\u80b2\u6559\u5e08'), ('20999', '\u5176\u4ed6\u6559\u5b66\u4eba\u5458'), ('21000', '\u6587\u5b66\u827a\u672f\u5de5\u4f5c\u4eba\u5458'), ('21001', '\u6587\u827a\u521b\u4f5c\u548c\u8bc4\u8bba\u4eba\u5458'), ('21002', '\u7f16\u5bfc\u548c\u97f3\u4e50\u6307\u6325\u4eba\u5458'), ('21003', '\u6f14\u5458'), ('21004', '\u4e50\u5668\u6f14\u594f\u5458'), ('21005', '\u7535\u5f71\u7535\u89c6\u5236\u4f5c\u53ca\u821e\u53f0\u4e13\u4e1a\u4eba\u5458'), ('21006', '\u7f8e\u672f\u4e13\u4e1a\u4eba\u5458'), ('21007', '\u5de5\u827a\u7f8e\u672f\u4e13\u4e1a\u4eba\u5458'), ('21099', '\u5176\u4ed6\u6587\u5b66\u827a\u672f\u5de5\u4f5c\u4eba\u5458'), ('21100', '\u4f53\u80b2\u5de5\u4f5c\u4eba\u5458'), ('21101', '\u4f53\u80b2\u5de5\u4f5c\u4eba\u5458'), ('21200', '\u65b0\u95fb\u51fa\u7248\u3001\u6587\u5316\u5de5\u4f5c\u4eba\u5458'), ('21201', '\u8bb0\u8005'), ('21202', '\u7f16\u8f91'), ('21203', '\u6821\u5bf9\u5458'), ('21204', '\u64ad\u97f3\u5458\u53ca\u8282\u76ee\u4e3b\u6301\u5458'), ('21205', '\u7ffb\u8bd1'), ('21206', '\u56fe\u4e66\u8d44\u6599\u4e0e\u6863\u6848\u4e1a\u52a1\u4eba\u5458'), ('21207', '\u8003\u53e4\u53ca\u6587\u7269\u4fdd\u62a4\u4e13\u4e1a\u4eba\u5458'), ('21299', '\u5176\u4ed6\u65b0\u95fb\u51fa\u7248\u3001\u6587\u5316\u5de5\u4f5c\u4eba\u5458'), ('21300', '\u5b97\u6559\u804c\u4e1a\u8005.'), ('21301', '\u5b97\u6559\u804c\u4e1a\u8005..'), ('29900', '\u5176\u4ed6\u4e13\u4e1a\u6280\u672f\u4eba\u5458.'), ('29901', '\u5176\u4ed6\u4e13\u4e1a\u6280\u672f\u4eba\u5458..'), ('30000', '\u529e\u4e8b\u4eba\u5458\u548c\u6709\u5173\u4eba\u5458'), ('30100', '\u884c\u653f\u529e\u516c\u4eba\u5458'), ('30101', '\u884c\u653f\u4e1a\u52a1\u4eba\u5458'), ('30102', '\u884c\u653f\u4e8b\u52a1\u4eba\u5458'), ('30199', '\u5176\u4ed6\u884c\u653f\u529e\u516c\u4eba\u5458'), ('30200', '\u5b89\u5168\u4fdd\u536b\u548c\u6d88\u9632\u4eba\u5458'), ('30201', '\u4eba\u6c11\u8b66\u5bdf'), ('30202', '\u6cbb\u5b89\u4fdd\u536b\u4eba\u5458'), ('30203', '\u6d88\u9632\u4eba\u5458'), ('30299', '\u5176\u4ed6\u5b89\u5168\u4fdd\u536b\u548c\u6d88\u9632\u4eba\u5458'), ('30300', '\u90ae\u653f\u548c\u7535\u4fe1\u4e1a\u52a1\u4eba\u5458'), ('30301', '\u90ae\u653f\u4e1a\u52a1\u4eba\u5458'), ('30302', '\u7535\u4fe1\u4e1a\u52a1\u4eba\u5458'), ('30303', '\u7535\u4fe1\u901a\u4fe1\u4f20\u8f93\u4e1a\u52a1\u4eba\u5458'), ('30399', '\u5176\u4ed6\u90ae\u653f\u548c\u7535\u4fe1\u4e1a\u52a1\u4eba\u5458'), ('39900', '\u5176\u4ed6\u529e\u4e8b\u4eba\u5458\u53ca\u6709\u5173\u90e8\u95e8\u4eba\u5458.'), ('39901', '\u5176\u4ed6\u529e\u4e8b\u4eba\u5458\u53ca\u6709\u5173\u90e8\u95e8\u4eba\u5458..'), ('40000', '\u5546\u4e1a\u3001\u670d\u52a1\u4e1a\u4eba\u5458'), ('40100', '\u8d2d\u9500\u4eba\u5458'), ('40101', '\u8425\u4e1a\u4eba\u5458'), ('40102', '\u63a8\u9500\u3001\u5c55\u9500\u4eba\u5458'), ('40103', '\u91c7\u8d2d\u4eba\u5458'), ('40104', '\u62cd\u5356\u3001\u5178\u5f53\u53ca\u79df\u8d41\u4e1a\u52a1\u4eba\u5458'), ('40105', '\u5e9f\u65e7\u7269\u8d44\u56de\u6536\u5229\u7528\u4eba\u5458'), ('40106', '\u7cae\u6cb9\u7ba1\u7406\u4eba\u5458'), ('40107', '\u5546\u54c1\u76d1\u76d1\u7763\u548c\u5e02\u573a\u7ba1\u7406\u4eba\u5458'), ('40199', '\u5176\u4ed6\u8d2d\u9500\u4eba\u5458'), ('40200', '\u4ed3\u50a8\u4eba\u5458'), ('40201', '\u4fdd\u7ba1\u4eba\u5458'), ('40202', '\u50a8\u8fd0\u4eba\u5458'), ('40299', '\u5176\u4ed6\u50a8\u8fd0\u4eba\u5458'), ('40300', '\u9910\u996e\u670d\u52a1\u4eba\u5458'), ('40301', '\u4e2d\u9910\u70f9\u996a\u4eba\u5458'), ('40302', '\u897f\u9910\u70f9\u996a\u4eba\u5458'), ('40303', '\u8c03\u9152\u548c\u8336\u827a\u4eba\u5458'), ('40304', '\u8425\u517b\u914d\u9910\u4eba\u5458'), ('40305', '\u9910\u5385\u670d\u52a1\u4eba\u5458'), ('40399', '\u5176\u4ed6\u9910\u996e\u670d\u52a1\u4eba\u5458'), ('40400', '\u996d\u5e97\u3001\u65c5\u6e38\u53ca\u5065\u8eab\u5a31\u4e50\u573a\u6240\u670d\u52a1\u4eba\u5458'), ('40401', '\u996d\u5e97\u670d\u52a1\u90e8\u4eba\u5458'), ('40402', '\u65c5\u6e38\u53ca\u516c\u5171\u6e38\u89c8\u573a\u6240\u670d\u52a1\u4eba\u5458'), ('40403', '\u5065\u8eab\u548c\u5a31\u4e50\u573a\u6240\u670d\u52a1\u4eba\u5458'), ('40499', '\u5176\u4ed6\u996d\u5e97\u3001\u65c5\u6e38\u53ca\u5065\u8eab\u5a31\u4e50\u573a\u6240\u670d\u52a1\u4eba\u5458'), ('40500', '\u8fd0\u8f93\u670d\u52a1\u4eba\u5458'), ('40501', '\u516c\u8def\u9053\u8def\u8fd0\u8f93\u670d\u52a1\u4eba\u5458'), ('40502', '\u94c1\u8def\u5ba2\u8d27\u8fd0\u8f93\u670d\u52a1\u4eba\u5458'), ('40503', '\u822a\u7a7a\u8fd0\u8f93\u670d\u52a1\u4eba\u5458'), ('40504', '\u6c34\u4e0a\u8fd0\u8f93\u670d\u52a1\u4eba\u5458'), ('40599', '\u5176\u4ed6\u8fd0\u8f93\u670d\u52a1\u4eba\u5458'), ('40600', '\u533b\u7597\u536b\u751f\u8f85\u52a9\u670d\u52a1\u4eba\u5458.'), ('40601', '\u533b\u7597\u536b\u751f\u8f85\u52a9\u670d\u52a1\u4eba\u5458..'), ('40700', '\u793e\u4f1a\u670d\u52a1\u548c\u5c45\u6c11\u751f\u6d3b\u670d\u52a1\u4eba\u5458'), ('40701', '\u793e\u4f1a\u4e2d\u4ecb\u670d\u52a1\u4eba\u5458'), ('40702', '\u7269\u4e1a\u7ba1\u7406\u5458'), ('40703', '\u4f9b\u6c34\u3001\u4f9b\u70ed\u53ca\u751f\u6d3b\u71c3\u6599\u4f9b\u5e94\u670d\u52a1\u4eba\u5458'), ('40704', '\u7f8e\u5bb9\u7f8e\u53d1\u4eba\u5458'), ('40705', '\u6444\u5f71\u670d\u52a1\u4eba\u5458'), ('40706', '\u9a8c\u5149\u914d\u955c\u4eba\u5458'), ('40707', '\u6d17\u67d3\u7ec7\u8865\u4eba\u5458'), ('40708', '\u6d74\u6c60\u670d\u52a1\u4eba\u5458'), ('40709', '\u5370\u7ae0\u523b\u5b57\u4eba\u5458'), ('40710', '\u65e5\u7528\u673a\u7535\u4ea7\u54c1\u7ef4\u4fee\u4eba\u5458'), ('40711', '\u529e\u516c\u8bbe\u5907\u7ef4\u4fee\u4eba\u5458'), ('40712', '\u4fdd\u80b2\u3001\u5bb6\u5ead\u670d\u52a1\u4eba\u5458'), ('40713', '\u73af\u5883\u536b\u751f\u4eba\u5458'), ('40714', '\u6ba1\u846c\u670d\u52a1\u4eba\u5458'), ('40799', '\u5176\u4ed6\u793e\u4f1a\u670d\u52a1\u548c\u5c45\u6c11\u751f\u6d3b\u670d\u52a1\u4eba\u5458'), ('49900', '\u5176\u4ed6\u5546\u4e1a\u3001\u670d\u52a1\u4e1a\u4eba\u5458.'), ('49901', '\u5176\u4ed6\u5546\u4e1a\u3001\u670d\u52a1\u4e1a\u4eba\u5458..'), ('50000', '\u519c\u3001\u6797\u3001\u7267\u3001\u6e14\u3001\u6c34\u5229\u4e1a\u751f\u4ea7\u4eba\u5458'), ('50100', '\u79cd\u690d\u4e1a\u751f\u4ea7\u4eba\u5458'), ('50101', '\u5927\u7530\u4f5c\u7269\u751f\u4ea7\u4eba\u5458'), ('50102', '\u519c\u4e1a\u5b9e\u9a8c\u4eba\u5458'), ('50103', '\u56ed\u827a\u4f5c\u7269\u751f\u4ea7\u4eba\u5458'), ('50104', '\u70ed\u5e26\u4f5c\u7269\u751f\u4ea7\u4eba\u5458'), ('50105', '\u4e2d\u836f\u6750\u751f\u4ea7\u4eba\u5458'), ('50106', '\u519c\u526f\u6797\u7279\u4ea7\u54c1\u52a0\u5de5\u4eba\u5458'), ('50199', '\u5176\u4ed6\u79cd\u690d\u4e1a\u751f\u4ea7\u4eba\u5458'), ('50200', '\u6797\u4e1a\u751f\u4ea7\u53ca\u91ce\u751f\u52a8\u690d\u7269\u4fdd\u62a4\u4eba\u5458'), ('50201', '\u8425\u9020\u6797\u4eba\u5458'), ('50202', '\u68ee\u6797\u8d44\u6e90\u7ba1\u62a4\u4eba\u5458'), ('50203', '\u91ce\u751f\u52a8\u690d\u7269\u4fdd\u62a4\u53ca\u81ea\u7136\u4fdd\u62a4\u533a\u4eba\u5458'), ('50204', '\u6728\u6750\u91c7\u8fd0\u5de5\u4eba'), ('50299', '\u5176\u4ed6\u6797\u4e1a\u751f\u4ea7\u53ca\u91ce\u751f\u52a8\u690d\u7269\u4fdd\u62a4\u4eba\u5458'), ('50300', '\u755c\u7267\u4e1a\u751f\u4ea7\u4eba\u5458'), ('50301', '\u5bb6\u755c\u9972\u517b\u5458'), ('50302', '\u5bb6\u79bd\u9972\u517b\u5458'), ('50303', '\u871c\u8702\u9972\u517b\u4eba\u5458'), ('50304', '\u5b9e\u9a8c\u52a8\u7269\u9972\u517b\u4eba\u5458'), ('50305', '\u52a8\u7269\u75ab\u75c5\u9632\u6cbb\u4eba\u5458'), ('50306', '\u8349\u4e1a\u751f\u4ea7\u4eba\u5458'), ('50399', '\u5176\u4ed6\u755c\u7267\u4e1a\u751f\u4ea7\u4eba\u5458'), ('50400', '\u6e14\u4e1a\u751f\u4ea7\u4eba\u5458'), ('50401', '\u6c34\u4ea7\u517b\u6b96\u4eba\u5458'), ('50402', '\u6c34\u4ea7\u6355\u635e\u53ca\u6709\u5173\u4eba\u5458'), ('50403', '\u6c34\u4ea7\u54c1\u52a0\u5de5\u4eba\u5458'), ('50499', '\u5176\u4ed6\u6e14\u4e1a\u751f\u4ea7\u4eba\u5458'), ('50500', '\u6c34\u5229\u8bbe\u65bd\u7ba1\u7406\u517b\u62a4\u4eba\u5458'), ('50501', '\u6cb3\u9053\u3001\u6c34\u5e93\u7ba1\u517b\u4eba\u5458'), ('50502', '\u519c\u7530\u704c\u6392\u5de5\u7a0b\u5efa\u8bbe\u7ba1\u7406\u7ef4\u62a4\u4eba\u5458'), ('50503', '\u6c34\u571f\u4fdd\u6301\u4f5c\u4e1a\u4eba\u5458'), ('50504', '\u6c34\u6587\u52d8\u6d4b\u4f5c\u4e1a\u4eba\u5458'), ('50599', '\u5176\u4ed6\u6c34\u5229\u8bbe\u65bd\u7ba1\u7406\u517b\u62a4\u4eba\u5458'), ('59900', '\u5176\u4ed6\u519c\u3001\u6797\u3001\u7267\u3001\u6e14\u3001\u6c34\u5229\u4e1a\u751f\u4ea7\u4eba\u5458'), ('59901', '\u519c\u6797\u4e13\u7528\u673a\u68b0\u64cd\u4f5c\u4eba\u5458'), ('59902', '\u519c\u6751\u80fd\u6e90\u5f00\u53d1\u5229\u7528\u4eba\u5458'), ('60000', '\u751f\u4ea7\u3001\u8fd0\u8f93\u8bbe\u5907\u64cd\u4f5c\u4eba\u5458\u53ca\u6709\u5173\u4eba\u5458'), ('60100', '\u52d8\u6d4b\u53ca\u77ff\u7269\u5f00\u91c7\u4eba\u5458'), ('60101', '\u5730\u8d28\u52d8\u67e5\u4eba\u5458'), ('60102', '\u6d4b\u7ed8\u4eba\u5458'), ('60103', '\u77ff\u7269\u5f00\u91c7\u4eba\u5458'), ('60104', '\u77ff\u7269\u5904\u7406\u4eba\u5458'), ('60105', '\u94bb\u4e95\u4eba\u5458'), ('60106', '\u77f3\u6cb9\u3001\u5929\u7136\u6c14\u5f00\u91c7\u4eba\u5458'), ('60107', '\u76d0\u4e1a\u751f\u4ea7\u4eba\u5458'), ('60199', '\u5176\u4ed6\u52d8\u6d4b\u53ca\u77ff\u7269\u5f00\u91c7\u4eba\u5458'), ('60200', '\u91d1\u5c5e\u51b6\u70bc\u3001\u8f67\u5236\u4eba\u5458'), ('60201', '\u70bc\u94c1\u4eba\u5458'), ('60202', '\u70bc\u94a2\u4eba\u5458'), ('60203', '\u94c1\u5408\u91d1\u51b6\u70bc\u4eba\u5458'), ('60204', '\u91cd\u6709\u8272\u91d1\u5c5e\u51b6\u70bc\u4eba\u5458'), ('60205', '\u8f7b\u6709\u8272\u91d1\u5c5e\u51b6\u70bc\u4eba\u5458'), ('60206', '\u7a00\u8d35\u91d1\u5c5e\u51b6\u70bc\u4eba\u5458'), ('60207', '\u534a\u5bfc\u4f53\u6750\u6599\u5236\u5907\u4eba\u5458'), ('60208', '\u91d1\u5c5e\u8f67\u5236\u4eba\u5458'), ('60209', '\u94f8\u94c1\u7ba1\u4eba\u5458'), ('60210', '\u78b3\u7d20\u5236\u54c1\u751f\u4ea7\u4eba\u5458'), ('60211', '\u786c\u8d28\u5408\u91d1\u751f\u4ea7\u4eba\u5458'), ('60299', '\u5176\u4ed6\u91d1\u5c5e\u51b6\u70bc\u8f67\u5236\u4eba\u5458'), ('60300', '\u5316\u5de5\u4ea7\u54c1\u751f\u4ea7\u80fd\u529b\u4eba\u5458'), ('60301', '\u5316\u5de5\u4ea7\u54c1\u751f\u4ea7\u901a\u7528\u5de5\u827a\u4eba\u5458'), ('60302', '\u77f3\u6cb9\u70bc\u5236\u751f\u4ea7\u4eba\u5458'), ('60303', '\u7164\u5316\u5de5\u751f\u4ea7\u4eba\u5458'), ('60304', '\u5316\u5b66\u80a5\u6599\u751f\u4ea7\u4eba\u5458'), ('60305', '\u65e0\u673a\u5316\u5de5\u4ea7\u54c1\u751f\u4ea7\u4eba\u5458'), ('60306', '\u57fa\u672c\u6709\u673a\u5316\u5de5\u4ea7\u54c1\u751f\u4ea7\u4eba\u5458'), ('60307', '\u5408\u6210\u6811\u8102\u751f\u4ea7\u4eba\u5458'), ('60308', '\u5408\u6210\u6a61\u80f6\u751f\u4ea7\u4eba\u5458'), ('60309', '\u5316\u5b66\u7ea4\u7ef4\u751f\u4ea7\u4eba\u5458'), ('60310', '\u5408\u6210\u9769\u751f\u4ea7\u4eba\u5458'), ('60311', '\u7cbe\u7ec6\u5316\u5de5\u4ea7\u54c1\u751f\u4ea7\u4eba\u5458'), ('60312', '\u4fe1\u606f\u8bb0\u5f55\u6750\u6599\u751f\u4ea7\u4eba\u5458'), ('60313', '\u706b\u836f\u5236\u9020\u4eba\u5458'), ('60314', '\u70b8\u836f\u5236\u9020\u4eba\u5458'), ('60315', '\u6797\u4ea7\u5316\u5de5\u4ea7\u54c1\u751f\u4ea7\u4eba\u5458'), ('60316', '\u590d\u5408\u6750\u6599\u52a0\u5de5\u4eba\u5458'), ('60317', '\u65e5\u7528\u5316\u5b66\u54c1\u751f\u4ea7\u4eba\u5458'), ('60399', '\u5176\u4ed6\u5316\u5de5\u4ea7\u54c1\u751f\u4ea7\u4eba\u5458'), ('60400', '\u673a\u68b0\u5236\u9020\u52a0\u5de5\u4eba\u5458'), ('60401', '\u673a\u68b0\u51b7\u52a0\u5de5\u4eba\u5458'), ('60402', '\u673a\u68b0\u70ed\u52a0\u5de5\u4eba\u5458'), ('60403', '\u7279\u79cd\u52a0\u5de5\u8bbe\u5907\u64cd\u4f5c\u4eba\u5458'), ('60404', '\u51b7\u4f5c\u94a3\u91d1\u52a0\u5de5\u4eba\u5458'), ('60405', '\u5de5\u4ef6\u8868\u9762\u5904\u7406\u52a0\u5de5\u4eba\u5458'), ('60406', '\u78e8\u6599\u78e8\u5177\u5236\u9020\u52a0\u5de5\u4eba\u5458'), ('60407', '\u822a\u5929\u5668\u4ef6\u52a0\u5de5\u6210\u578b\u4eba\u5458'), ('60499', '\u5176\u4ed6\u673a\u68b0\u5236\u9020\u52a0\u5de5\u4eba\u5458'), ('60500', '\u673a\u7535\u4ea7\u54c1\u88c5\u914d\u4eba\u5458'), ('60501', '\u57fa\u7840\u4ef6\u90e8\u4ef6\u88c5\u914d\u4eba\u5458'), ('60502', '\u673a\u68b0\u8bbe\u5907\u88c5\u914d\u5de5'), ('60503', '\u52a8\u529b\u8bbe\u5907\u88c5\u914d\u4eba\u5458'), ('60504', '\u7535\u5668\u5143\u4ef6\u53ca\u8bbe\u5907\u88c5\u914d\u4eba\u5458'), ('60505', '\u7535\u5b50\u4e13\u7528\u8bbe\u5907\u88c5\u914d\u8c03\u8bd5\u4eba\u5458'), ('60506', '\u4eea\u5668\u4eea\u8868\u88c5\u914d\u4eba\u5458'), ('60507', '\u8fd0\u8f93\u8f66\u8f86\u88c5\u914d\u4eba\u5458'), ('60508', '\u819c\u6cd5\u6c34\u5904\u7406\u8bbe\u5907\u5236\u9020\u4eba\u5458'), ('60509', '\u533b\u7597\u5668\u68b0\u88c5\u914d\u53ca\u5047\u80a2\u4e0e\u77eb\u5f62\u5668\u5236\u4f5c\u4eba\u5458'), ('60510', '\u65e5\u7528\u673a\u68b0\u7535\u5668\u5236\u9020\u88c5\u914d\u4eba\u5458'), ('60511', '\u4e94\u91d1\u5236\u54c1\u5236\u4f5c\u88c5\u914d\u4eba\u5458'), ('60512', '\u88c5\u7532\u8f66\u8f86\u88c5\u8bd5\u4eba\u5458'), ('60513', '\u67aa\u70ae\u5236\u9020\u4eba\u5458'), ('60514', '\u5f39\u5236\u9020\u4eba\u5458'), ('60515', '\u5f15\u4fe1\u52a0\u5de5\u5236\u4f5c\u4eba\u5458'), ('60516', '\u706b\u5de5\u54c1\u5236\u9020\u4eba\u5458'), ('60517', '\u9632\u5316\u5668\u6750\u5236\u9020\u4eba\u5458'), ('60518', '\u8239\u8236\u5236\u9020\u4eba\u5458'), ('60519', '\u822a\u7a7a\u4ea7\u54c1\u88c5\u914d\u4e0e\u8c03\u8bd5\u4eba\u5458'), ('60520', '\u822a\u7a7a\u4ea7\u54c1\u5b9e\u9a8c\u5458'), ('60521', '\u5bfc\u5f39\u536b\u661f\u88c5\u914d\u6d4b\u8bd5\u4eba\u5458'), ('60522', '\u706b\u7bad\u53d1\u52a8\u673a\u88c5\u914d\u5b9e\u9a8c\u4eba\u5458'), ('60523', '\u822a\u5929\u5668\u7ed3\u6784\u5f3a\u5ea6\u6e29\u5ea6\u73af\u5883\u5b9e\u9a8c\u4eba\u5458'), ('60524', '\u9776\u573a\u5b9e\u9a8c\u4eba\u5458'), ('60599', '\u5176\u4ed6\u673a\u7535\u4ea7\u54c1\u88c5\u914d\u4eba\u5458'), ('60600', '\u673a\u68b0\u8bbe\u5907\u4fee\u7406\u4eba\u5458'), ('60601', '\u673a\u68b0\u8bbe\u5907\u4fee\u7406\u4eba\u5458'), ('60602', '\u4eea\u5668\u4eea\u8868\u4fee\u7406\u4eba\u5458'), ('60603', '\u6c11\u7528\u822a\u7a7a\u5668\u7ef4\u4fee\u4eba\u5458'), ('60699', '\u5176\u4ed6\u673a\u68b0\u8bbe\u5907\u4fee\u7406\u4eba\u5458'), ('60700', '\u7535\u529b\u8bbe\u5907\u5b89\u88c5\u3001\u8fd0\u884c\u3001\u68c0\u4fee\u53ca\u4f9b\u7535\u4eba\u5458'), ('60701', '\u7535\u529b\u8bbe\u5907\u5b89\u88c5\u4eba\u5458'), ('60702', '\u53d1\u7535\u8fd0\u884c\u503c\u73ed\u4eba\u5458'), ('60703', '\u8f93\u7535\u914d\u7535\u53d8\u7535\u8bbe\u5907\u503c\u73ed\u4eba\u5458'), ('60704', '\u7535\u529b\u8bbe\u5907\u68c0\u4fee\u4eba\u5458'), ('60705', '\u4f9b\u7528\u7535\u4eba\u5458'), ('60706', '\u751f\u6d3b\u751f\u4ea7\u7535\u529b\u8bbe\u5907\u5b89\u88c5\u64cd\u4f5c\u4fee\u7406\u4eba\u5458'), ('60799', '\u5176\u4ed6\u7535\u529b\u8bbe\u5907\u5b89\u88c5\u8fd0\u884c\u68c0\u4fee\u7ee7\u4f9b\u7535\u4eba\u5458'), ('60800', '\u7535\u5b50\u5143\u5668\u4ef6\u4e0e\u8bbe\u5907\u5236\u9020\u3001\u88c5\u914d\u8c03\u8bd5\u53ca\u7ef4\u4fee\u4eba\u5458'), ('60801', '\u7535\u5b50\u5668\u4ef6\u5236\u9020\u4eba\u5458'), ('60802', '\u7535\u5b50\u5143\u4ef6\u5236\u9020\u4eba\u5458'), ('60803', '\u7535\u6c60\u5236\u9020\u4eba\u5458'), ('60804', '\u7535\u5b50\u8bbe\u5907\u88c5\u914d\u8c03\u8bd5\u4eba\u5458'), ('60805', '\u7535\u5b50\u4ea7\u54c1\u7ef4\u4fee\u4eba\u5458'), ('60899', '\u5176\u5b83\u7535\u5b50\u5143\u5668\u4ef6\u4e0e\u8bbe\u5907\u5236\u9020\u88c5\u914d\u8c03\u8bd5\u7ef4\u4fee\u4eba\u5458'), ('60900', '\u6a61\u80f6\u548c\u5851\u6599\u5236\u54c1\u751f\u4ea7\u4eba\u5458'), ('60901', '\u6a61\u80f6\u5236\u54c1\u751f\u4ea7\u4eba\u5458'), ('60902', '\u5851\u6599\u5236\u54c1\u4eba\u5458'), ('60999', '\u5176\u4ed6\u6a61\u80f6\u548c\u5851\u6599\u5236\u54c1\u52a0\u5de5\u4eba\u5458'), ('61000', '\u7eba\u7ec7\u3001\u9488\u7ec7\u3001\u5370\u67d3\u4eba\u5458'), ('61001', '\u7ea4\u7ef4\u9884\u5904\u7406\u4eba\u5458'), ('61002', '\u7eba\u7eb1\u4eba\u5458'), ('61003', '\u7ec7\u9020\u4eba\u5458'), ('61004', '\u9488\u7ec7\u4eba\u5458'), ('61005', '\u5370\u67d3\u4eba\u5458'), ('61099', '\u5176\u4ed6\u7eba\u7ec7\u3001\u9488\u7ec7\u3001\u5370\u67d3\u4eba\u5458'), ('61100', '\u88c1\u526a\u7f1d\u7eab\u548c\u76ae\u9769\u3001\u6bdb\u76ae\u5236\u54c1\u52a0\u5de5\u4eba\u5458'), ('61101', '\u88c1\u526a\u7f1d\u7eab\u4eba\u5458'), ('61102', '\u978b\u5e3d\u5236\u4f5c\u4eba\u5458'), ('61103', '\u76ae\u9769\u3001\u76ae\u6bdb\u52a0\u5de5\u4eba\u5458'), ('61104', '\u7f1d\u7eab\u5236\u54c1\u518d\u52a0\u5de5\u4eba\u5458'), ('61199', '\u5176\u4ed6\u88c1\u526a\u7f1d\u7eab\u548c\u76ae\u9769\u3001\u6bdb\u76ae\u5236\u54c1\u52a0\u5de5\u4eba\u5458'), ('61200', '\u7cae\u6cb9\u3001\u98df\u54c1\u3001\u996e\u6599\u751f\u4ea7\u52a0\u5de5\u53ca\u9972\u6599\u751f\u4ea7\u52a0\u5de5\u4eba\u5458'), ('61201', '\u7cae\u6cb9\u751f\u4ea7\u52a0\u5de5\u4eba\u5458'), ('61202', '\u5236\u7cd6\u548c\u7cd6\u5236\u54c1\u52a0\u5de5\u4eba\u5458'), ('61203', '\u4e73\u54c1\u3001\u51b7\u98df\u54c1\u3001\u53ca\u7f50\u5934\u3001\u996e\u6599\u5236\u4f5c\u5458'), ('61204', '\u917f\u9152\u4eba\u5458'), ('61205', '\u98df\u54c1\u6dfb\u52a0\u5242\u53ca\u8c03\u5473\u54c1\u5236\u4f5c\u4eba\u5458'), ('61206', '\u7cae\u6cb9\u98df\u54c1\u5236\u4f5c\u4eba\u5458'), ('61207', '\u5c60\u5bb0\u52a0\u5de5\u4eba\u5458'), ('61208', '\u8089\u3001\u86cb\u98df\u54c1\u52a0\u5de5\u4eba\u5458'), ('61209', '\u9972\u6599\u751f\u4ea7\u52a0\u5de5\u4eba\u5458'), ('61299', '\u5176\u4ed6\u7cae\u6cb9\u3001\u98df\u54c1\u3001\u996e\u6599\u751f\u4ea7\u52a0\u5de5\u53ca\u9972\u6599\u751f\u4ea7\u52a0\u5de5\u4eba\u5458'), ('61300', '\u70df\u8349\u53ca\u5176\u5236\u9020\u52a0\u5de5\u4eba\u5458'), ('61301', '\u539f\u70df\u590d\u70e4\u4eba\u5458'), ('61302', '\u5377\u70df\u751f\u4ea7\u4eba\u5458'), ('61303', '\u70df\u7528\u918b\u9178\u7ea4\u7ef4\u4e1d\u675f\u6ee4\u68d2\u5236\u4f5c\u4eba\u5458'), ('61399', '\u5176\u4ed6\u70df\u8349\u53ca\u5176\u5236\u9020\u52a0\u5de5\u4eba\u5458'), ('61400', '\u836f\u54c1\u751f\u4ea7\u4eba\u5458'), ('61401', '\u5408\u6210\u836f\u7269\u5236\u9020\u4eba\u5458'), ('61402', '\u751f\u7269\u6280\u672f\u5236\u836f\uff08\u54c1\uff09\u4eba\u5458'), ('61403', '\u836f\u7269\u5236\u5242\u4eba\u5458'), ('61404', '\u4e2d\u836f\u5236\u836f\u4eba\u5458'), ('61499', '\u5176\u4ed6\u836f\u54c1\u751f\u4ea7\u4eba\u5458'), ('61500', '\u6728\u6750\u52a0\u5de5\u3001\u4eba\u9020\u677f\u751f\u4ea7\u53ca\u6728\u6750\u5236\u54c1\u5236\u4f5c\u4eba\u5458'), ('61501', '\u6728\u6750\u52a0\u5de5\u4eba\u5458'), ('61502', '\u4eba\u9020\u677f\u751f\u4ea7\u4eba\u5458'), ('61503', '\u6728\u6750\u5236\u54c1\u5236\u4f5c\u4eba\u5458'), ('61599', '\u5176\u4ed6\u6728\u6750\u52a0\u5de5\u3001\u4eba\u9020\u677f\u751f\u4ea7\u53ca\u6728\u6750\u5236\u54c1\u5236\u4f5c\u4eba\u5458'), ('61600', '\u5236\u6d46\u3001\u9020\u7eb8\u548c\u7eb8\u5236\u54c1\u751f\u4ea7\u52a0\u5de5\u4eba\u5458'), ('61601', '\u5236\u6d46\u4eba\u5458'), ('61602', '\u9020\u7eb8\u4eba\u5458'), ('61603', '\u7eb8\u5236\u54c1\u5236\u4f5c\u4eba\u5458'), ('61699', '\u5176\u4ed6\u5236\u6d46\u3001\u9020\u7eb8\u548c\u7eb8\u5236\u54c1\u751f\u4ea7\u52a0\u5de5\u4eba\u5458'), ('61700', '\u5efa\u7b51\u6750\u6599\u751f\u4ea7\u52a0\u5de5\u4eba\u5458'), ('61701', '\u6c34\u6ce5\u53ca\u6c34\u6ce5\u5236\u54c1\u751f\u4ea7\u52a0\u5de5\u4eba\u5458'), ('61702', '\u5899\u4f53\u5c4b\u9762\u6750\u6599\u751f\u4ea7\u5de5'), ('61703', '\u5efa\u7b51\u9632\u6c34\u5bc6\u5c01\u6750\u6599\u751f\u4ea7\u4eba\u5458'), ('61704', '\u5efa\u7b51\u4fdd\u6e29\u53ca\u5438\u97f3\u6750\u6599\u751f\u4ea7\u4eba\u5458'), ('61705', '\u88c5\u9970\u6750\u6599\u751f\u4ea7\u4eba\u5458'), ('61706', '\u975e\u91d1\u5c5e\u77ff\u53ca\u5176\u5236\u54c1\u751f\u4ea7\u52a0\u5de5\u4eba\u5458'), ('61707', '\u8010\u706b\u6750\u6599\u751f\u4ea7\u4eba\u5458'), ('61799', '\u5176\u4ed6\u5efa\u7b51\u6750\u6599\u751f\u4ea7\u52a0\u5de5\u4eba\u5458'), ('61800', '\u73bb\u7483\u3001\u9676\u74f7\u3001\u642a\u74f7\u53ca\u5176\u5236\u54c1\u751f\u4ea7\u52a0\u5de5\u4eba\u5458'), ('61801', '\u73bb\u7483\u6eb6\u5236\u4eba\u5458'), ('61802', '\u73bb\u7483\u7ea4\u7ef4\u53ca\u5236\u54c1\u751f\u4ea7\u4eba\u5458'), ('61803', '\u77f3\u82f1\u73bb\u7483\u5236\u54c1\u52a0\u5de5\u4eba\u5458'), ('61804', '\u9676\u74f7\u5236\u54c1\u751f\u4ea7\u4eba\u5458'), ('61805', '\u642a\u74f7\u5236\u54c1\u751f\u4ea7\u4eba\u5458'), ('61899', '\u5176\u4ed6\u73bb\u7483\u3001\u9676\u74f7\u3001\u642a\u74f7\u53ca\u5176\u5236\u54c1\u751f\u4ea7\u52a0\u5de5\u4eba\u5458')], db_index=True, max_length=8, null=True, verbose_name='\u804c\u4e1a\u7c7b\u578b')),
                ('is_employed_hard', models.BooleanField(choices=[(True, '\u662f'), (False, '\u5426')], default=False, verbose_name='\u662f\u5426\u5c31\u4e1a\u56f0\u96be')),
                ('dispatch_nature', models.PositiveSmallIntegerField(blank=True, choices=[(0, '\u6b63\u5e38\u6d3e\u9063'), (1, '\u7533\u8bf7\u6682\u7f13\u5c31\u4e1a'), (2, '\u4e0d\u7eb3\u5165\u5c31\u4e1a\u65b9\u6848')], db_index=True, null=True, verbose_name='\u6d3e\u9063\u6027\u8d28')),
                ('difficult_student_type', models.CharField(blank=True, max_length=255, null=True, verbose_name='\u56f0\u96be\u751f\u7c7b\u522b')),
                ('school', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='internship_institutions', to='school.School', verbose_name='\u5b66\u6821')),
            ],
            options={
                'ordering': ('-starting_date', '-id'),
                'verbose_name': '\u5355\u4f4d',
                'verbose_name_plural': '\u5355\u4f4d',
            },
        ),
        migrations.CreateModel(
            name='Instructor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, db_index=True, max_length=32, null=True, verbose_name='\u59d3\u540d')),
                ('department', models.CharField(blank=True, max_length=64, null=True, verbose_name='\u90e8\u95e8')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u5728\u804c')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('modify_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
                ('school', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='internship_instructors', to='school.School', verbose_name='\u5b66\u6821')),
                ('teacher', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='as_internship_instructor', to='school.Teacher', verbose_name='\u8001\u5e08')),
            ],
            options={
                'ordering': ('school', 'name'),
                'verbose_name': '\u8f85\u5bfc\u5458',
                'verbose_name_plural': '\u8f85\u5bfc\u5458',
                'permissions': (),
            },
            bases=(django_szuprefix_saas.internship.models.InstructorCounsellorMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Trainee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=64, null=True, verbose_name='\u59d3\u540d')),
                ('status', models.PositiveSmallIntegerField(blank=True, choices=[(0, '\u672a\u5b9e\u4e60'), (1, '\u5b9e\u4e60'), (2, '\u6b63\u5f0f\u5458\u5de5'), (4, '\u79bb\u804c'), (5, '\u4e2d\u8f6c\u9ad8'), (6, '\u5347\u5b66'), (7, '\u53c2\u519b')], db_index=True, default=0, null=True, verbose_name='\u5b9e\u4e60\u72b6\u6001')),
                ('status_update_time', models.DateTimeField(blank=True, default=None, null=True, verbose_name='\u5b9e\u4e60\u72b6\u6001\u4fee\u6539\u65f6\u95f4')),
                ('last_signin_time', models.DateTimeField(blank=True, null=True, verbose_name='\u6700\u8fd1\u7b7e\u5230\u65f6\u95f4')),
                ('last_feedback_time', models.DateTimeField(blank=True, null=True, verbose_name='\u6700\u8fd1\u53cd\u9988\u65f6\u95f4')),
                ('last_recommend_time', models.DateTimeField(blank=True, null=True, verbose_name='\u6700\u8fd1\u63a8\u8350\u6821\u4f01\u804c\u4f4d\u65f6\u95f4')),
                ('last_browse_theme_time', models.DateTimeField(blank=True, default=None, null=True, verbose_name='\u6700\u8fd1\u6d4f\u89c8\u5e16\u5b50\u65f6\u95f4')),
                ('last_score_time', models.DateTimeField(blank=True, default=None, null=True, verbose_name='\u6700\u8fd1\u8bc4\u5206\u65f6\u95f4')),
                ('score', models.PositiveSmallIntegerField(blank=True, default=0, verbose_name='\u8bc4\u5206')),
                ('comment', models.TextField(blank=True, null=True, verbose_name='\u5907\u6ce8')),
                ('ethnic_code', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='\u6c11\u65cf\u4ee3\u7801')),
                ('admission_ticket', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u51c6\u8003\u8bc1')),
                ('leave_party_status', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u79bb\u6821\u60c5\u51b5')),
                ('payment_status', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u7f34\u8d39\u60c5\u51b5')),
                ('insurance_status', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u4fdd\u9669\u60c5\u51b5')),
                ('internship_report', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u5b9e\u4e60\u62a5\u544a')),
                ('internship_begin', models.DateField(blank=True, null=True, verbose_name='\u5b9e\u4e60\u671f\u5f00\u59cb')),
                ('internship_end', models.DateField(blank=True, null=True, verbose_name='\u5b9e\u4e60\u671f\u7ed3\u675f')),
                ('is_working', models.BooleanField(default=False, verbose_name='\u5de5\u4f5c\u4e2d')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('modify_time', models.DateTimeField(auto_now=True, verbose_name='\u4fee\u6539\u65f6\u95f4')),
                ('counsellor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='trainees', to='internship.Counsellor', verbose_name='\u6307\u5bfc\u8001\u5e08')),
                ('current_institution', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='current_trainees', to='internship.Institution', verbose_name='\u5f53\u524d\u5de5\u4f5c\u5355\u4f4d')),
                ('instructor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='trainees', to='internship.Instructor', verbose_name='\u8f85\u5bfc\u5458')),
                ('last_institution', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='trainees', to='internship.Institution', verbose_name='\u6700\u8fd1\u5de5\u4f5c\u5355\u4f4d')),
                ('school', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='internship_trainees', to='school.School', verbose_name='\u5b66\u6821')),
                ('student', models.OneToOneField(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='as_internship_trainee', to='school.Student', verbose_name='\u5b66\u751f')),
            ],
            options={
                'verbose_name': '\u5b9e\u4e60\u751f',
                'verbose_name_plural': '\u5b9e\u4e60\u751f',
            },
        ),
        migrations.AddField(
            model_name='institution',
            name='trainee',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='institutions', to='internship.Trainee', verbose_name='\u5b9e\u4e60\u751f'),
        ),
        migrations.AddField(
            model_name='feedback',
            name='institution',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='internship.Institution', verbose_name='\u5355\u4f4d'),
        ),
        migrations.AddField(
            model_name='feedback',
            name='school',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='internship_feedbacks', to='school.School', verbose_name='\u5b66\u6821'),
        ),
        migrations.AddField(
            model_name='feedback',
            name='student',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='feedbacks', to='school.Student', verbose_name='\u5b66\u751f'),
        ),
    ]
